Zum Inhalt

Get distributionChannel

Retrieve the properties and relationships of a distribution channel object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/distributionChannelsKTG({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a distributionChannel object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/distributionChannelsKTG({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "7c0808a0-b7c5-ea11-8eaf-823c6b508b33",
    "distributionchannelCode": "AMAZON",
    "channelDescription": "Amazon",
    "default": false,
    "responsibilityCenter": ""
}

See also

Tips for working with the APIs
distributionChannel